---
title: XRReferenceSpaceEvent()
slug: Web/API/XRReferenceSpaceEvent/XRReferenceSpaceEvent
tags:
  - API
  - AR
  - Constructor
  - Eventss
  - Mixed
  - Reality
  - Reference
  - Reference Space
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRReferenceSpaceEvent
  - augmented
  - events
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_header}}</p>

<p><span class="seoSummary">The <code><strong>XRReferenceSpaceEvent()</strong></code> constructor is used to create a new {{domxref("XRReferenceSpaceEvent")}} object, which represents an event regarding the state of a WebXR reference space object, {{domxref("XRReferenceSpace")}}.</span></p>

<p>Currently, only the {{domxref("XRReferenceSpace.reset_event", "reset")}} event is defined using this type.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>refSpaceEvent</em> = new XRReferenceSpaceEvent(<em>type</em>, <em>eventInitDict</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>type</code></dt>
 <dd>A {{domxref("DOMString")}} indicating the event type which has occurred. Currently, this is always <code>reset</code>.</dd>
 <dt><code>eventInitDict</code></dt>
 <dd>
 <p>An object based on the {{domxref("XRReferenceSpaceEventInit")}} dictionary, containing data used to initialize the new event object. The properties of this object are:</p>

 <p>{{page("/en-US/docs/Web/API/XRReferenceSpaceEventInit", "Properties")}}</p>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new <code>XRReferenceSpaceEvent</code> object, initialized as defined by the input parameters.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebXR','#dom-xrreferencespaceevent-xrreferencespaceevent','XRReferenceSpaceEvent()')}}</td>
   <td>{{Spec2('WebXR')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.XRReferenceSpaceEvent.XRReferenceSpaceEvent")}}</p>
